summaryrefslogtreecommitdiffstats
path: root/source/n/pidentd
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/n/pidentd
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/n/pidentd')
-rw-r--r--source/n/pidentd/doinst.sh15
-rwxr-xr-xsource/n/pidentd/pidentd.SlackBuild88
-rw-r--r--source/n/pidentd/pidentd.conf.diff68
-rw-r--r--source/n/pidentd/slack-desc19
4 files changed, 190 insertions, 0 deletions
diff --git a/source/n/pidentd/doinst.sh b/source/n/pidentd/doinst.sh
new file mode 100644
index 000000000..382131ed9
--- /dev/null
+++ b/source/n/pidentd/doinst.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Handle the incoming configuration files:
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/identd.conf.new
diff --git a/source/n/pidentd/pidentd.SlackBuild b/source/n/pidentd/pidentd.SlackBuild
new file mode 100755
index 000000000..f14fbe530
--- /dev/null
+++ b/source/n/pidentd/pidentd.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=3.0.19
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-pidentd
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf pidentd-$VERSION
+tar xvf $CWD/pidentd-$VERSION.tar.gz || exit 1
+cd pidentd-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/pidentd.conf.diff.gz | patch -p1 --backup --verbose || exit
+
+CFLAGS=-O2 \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-des-includes=/usr/include/openssl \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+
+mkdir -p $PKG/usr/sbin
+cat src/identd > $PKG/usr/sbin/in.identd
+cat src/ibench > $PKG/usr/sbin/ibench
+cat src/idecrypt > $PKG/usr/sbin/idecrypt
+cat src/ikeygen > $PKG/usr/sbin/ikeygen
+chmod 755 $PKG/usr/sbin/*
+
+mkdir -p $PKG/etc
+cat etc/identd.conf > $PKG/etc/identd.conf.new
+
+mkdir -p $PKG/usr/man/man8
+cat doc/identd.8 | gzip -9c > $PKG/usr/man/man8/identd.8.gz
+echo ".so man8/identd.8" | gzip -9c > $PKG/usr/man/man8/in.identd.8.gz
+
+mkdir -p $PKG/usr/doc/pidentd-$VERSION
+cp -a \
+ BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc* \
+ $PKG/usr/doc/pidentd-$VERSION
+chmod 644 $PKG/usr/doc/pidentd-$VERSION/*
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/pidentd-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/pidentd/pidentd.conf.diff b/source/n/pidentd/pidentd.conf.diff
new file mode 100644
index 000000000..0e94f48c5
--- /dev/null
+++ b/source/n/pidentd/pidentd.conf.diff
@@ -0,0 +1,68 @@
+--- ./etc/identd.conf.orig 1999-01-20 15:59:26.000000000 -0800
++++ ./etc/identd.conf 2004-06-13 12:59:27.000000000 -0700
+@@ -1,4 +1,4 @@
+-# /usr/local/etc/identd.conf - an example configuration file
++# /etc/identd.conf - an example configuration file
+
+
+ #-- The syslog facility for error messages
+@@ -18,24 +18,20 @@
+ # server:backlog = 256
+
+ #-- Where to write the file containing our process id
+-# server:pid-file = "/etc/identd.pid"
++server:pid-file = "/var/run/identd.pid"
+
+ #-- Maximum number of concurrent requests allowed (0 = unlimited)
+ # server:max-requests = 0
+
+-
+-
+ #-- Enable some protocol extensions like "VERSION" or "QUIT"
+-protocol:extensions = enabled
++# protocol:extensions = enabled
+
+ #-- Allow multiple queries per connection. This slightly breaks RFC1413
+-protocol:multiquery = enabled
++# protocol:multiquery = enabled
+
+ #-- Timeout in seconds since connection or last query. Zero = disable
+ # protocol:timeout = 120
+
+-
+-
+ #-- Maximum number of threads doing kernel lookups
+ # kernel:threads = 8
+
+@@ -45,10 +41,8 @@
+ #-- Maximum number of time to retry a kernel lookup in case of failure
+ # kernel:attempts = 5
+
+-
+-
+ #-- Disable username lookups (only return uid numbers)
+-# result:uid-only = no
++result:uid-only = yes
+
+ #-- Enable the ".noident" file
+ # result:noident = enabled
+@@ -60,15 +54,14 @@
+ # result:opsys = "UNIX"
+
+ #-- Log all request replies to syslog (none == don't)
+-# result:syslog-level = none
+-
++# Valid choices are: none, debug, info, notice, warning, err, crit, emerg
++result:syslog-level = notice
+
+ #-- Enable encryption (only available if linked with a DES library)
+ # result:encrypt = no
+
+ #-- Path to the DES key file (only available if linked with a DES library)
+-# encrypt:key-file = "/usr/local/etc/identd.key"
+-
++# encrypt:key-file = "/etc/identd.key"
+
+ #-- Include a machine local configuration file
+-# include = /etc/identd.conf
++# include = /usr/local/etc/identd.conf
diff --git a/source/n/pidentd/slack-desc b/source/n/pidentd/slack-desc
new file mode 100644
index 000000000..3229f5e88
--- /dev/null
+++ b/source/n/pidentd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pidentd: pidentd (TCP/IP IDENT protocol server)
+pidentd:
+pidentd: The identd daemon implements the IDENT protocol as specified in
+pidentd: RFC1413. When your machine connects to a remote system, the remote
+pidentd: machine may connect to your identd daemon to find out either the
+pidentd: user name or other information about the process that initiated
+pidentd: the connection. Some remote machines may choose not to allow your
+pidentd: connections if you do not provide access to an identd daemon.
+pidentd:
+pidentd: The pidentd daemon was written by Peter Eriksson.
+pidentd: